<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_aux_unid.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $unidade = $_POST['unidade'];
    $local = $_POST['local'];
    $sw = $_POST['sw'];
    $sw_pt = $_POST['sw_pt'];
    $pp = $_POST['pp'];
    $pp_pt = $_POST['pp_pt'];
    $link = $_POST['link'];
    $link_ = str_replace(',','.',str_replace('.','',$link));
    $desc = $_POST['desc'];
    $cor = $_POST['cor'];
    if($sw < 10){
        if($sw_pt < 10){
            if($pp < 10){
                if($pp_pt < 10){
                    $pt = $local.'_0'.$sw.'/0'.$sw_pt.'-0'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_0'.$sw.'/0'.$sw_pt.'-0'.$pp.'/'.$pp_pt;
                }
            } else {
                if($pp_pt < 10){
                    $pt = $local.'_0'.$sw.'/0'.$sw_pt.'-'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_0'.$sw.'/0'.$sw_pt.'-'.$pp.'/'.$pp_pt;
                }
            }
        } else {
            if($pp < 10){
                if($pp_pt < 10){
                    $pt = $local.'_0'.$sw.'/'.$sw_pt.'-0'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_0'.$sw.'/'.$sw_pt.'-0'.$pp.'/'.$pp_pt;
                }
            } else {
                if($pp_pt < 10){
                    $pt = $local.'_0'.$sw.'/'.$sw_pt.'-'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_0'.$sw.'/'.$sw_pt.'-'.$pp.'/'.$pp_pt;
                }
            }
        }
    } else {
        if($sw_pt < 10){
            if($pp < 10){
                if($pp_pt < 10){
                    $pt = $local.'_'.$sw.'/0'.$sw_pt.'-0'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_'.$sw.'/0'.$sw_pt.'-0'.$pp.'/'.$pp_pt;
                }
            } else {
                if($pp_pt < 10){
                    $pt = $local.'_'.$sw.'/0'.$sw_pt.'-'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_'.$sw.'/0'.$sw_pt.'-'.$pp.'/'.$pp_pt;
                }
            }
        } else {
            if($$pp < 10){
                if($pp_pt < 10){
                    $pt = $local.'_'.$sw.'/'.$sw_pt.'-0'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_'.$sw.'/'.$sw_pt.'-0'.$pp.'/'.$pp_pt;
                }
            } else {
                if($pp_pt < 10){
                    $pt = $local.'_'.$sw.'/'.$sw_pt.'-'.$pp.'/0'.$pp_pt;
                } else {
                    $pt = $local.'_'.$sw.'/'.$sw_pt.'-'.$pp.'/'.$pp_pt;
                }
            }
        }
    }
    $busca_sw_pt=$pdo_sgt->prepare("SELECT * FROM tb_map_canal WHERE unidade=:unidade AND local=:local AND sw=:sw AND sw_pt=:sw_pt");
    $busca_sw_pt->bindValue(":unidade",$unidade);
    $busca_sw_pt->bindValue(":local",$local);
    $busca_sw_pt->bindValue(":sw",$sw);
    $busca_sw_pt->bindValue(":sw_pt",$sw_pt);
    $busca_sw_pt->execute();
    $dados_sw_pt=$busca_sw_pt->fetch(PDO::FETCH_ASSOC);
    $busca_pp_pt=$pdo_sgt->prepare("SELECT * FROM tb_map_canal WHERE unidade=:unidade AND local=:local AND pp=:pp AND pp_pt=:pp_pt");
    $busca_pp_pt->bindValue(":unidade",$unidade);
    $busca_pp_pt->bindValue(":local",$local);
    $busca_pp_pt->bindValue(":pp",$pp);
    $busca_pp_pt->bindValue(":pp_pt",$pp_pt);
    $busca_pp_pt->execute();
    $dados_pp_pt=$busca_pp_pt->fetch(PDO::FETCH_ASSOC);
    if($dados_sw_pt['sw_pt'] == $sw_pt && $sw_pt != "a"){
        echo"<script language='javascript' type='text/javascript'>
            alert('A porta do switch deste local já está em uso!');
            window.location.href='list_canal.php';
        </script>";
    }else{
        if($dados_pp_pt['pp_pt'] == $pp_pt){
            echo"<script language='javascript' type='text/javascript'>
                alert('A porta do Patch Panel deste local já está em uso!');
                window.location.href='list_canal.php';
            </script>";
            die();
        }else {
            $query=$pdo_sgt->prepare("INSERT INTO tb_map_canal (unidade,local,sw,sw_pt,pp,pp_pt,link,descricao,cor) "
                    . "VALUES (:unidade,:local,:sw,:sw_pt,:pp,:pp_pt,:link,:desc,:cor)");
            $query->bindValue(":unidade",$unidade);
            $query->bindValue(":local",$local);
            $query->bindValue(":sw",$sw);
            $query->bindValue(":sw_pt",$sw_pt);
            $query->bindValue(":pp",$pp);
            $query->bindValue(":pp_pt",$pp_pt);
            $query->bindValue(":link",$link_);
            $query->bindValue(":desc",$desc);
            $query->bindValue(":cor",$cor);
            $query->execute();
            $mensagem = "Dados inseridos na tabela: tb_pp - "
                . "Para os campos: unidade, local, sw, sw_pt, pp, pp_pt, link, descricao, cor - "
                . "Com os seguintes valores: $unidade, $local, $sw, $sw_pt, $pp, $pp_pt, $link_, $desc, $cor.";
            salvaLog($mensagem);
            echo"<script language='javascript' type='text/javascript'>
                window.location.href='list_canal.php#id".$pt."';
            </script>";
        }
    }
?>